View Issue Details

IDProjectCategoryView StatusLast Update
12815Bug reports[All Projects] _ Unknownpublic2018-01-30 14:29
ReporterrobertofranchiAssigned Tomarkusfluer 
PrioritynoneSeveritytweak 
Status closedResolutionfixed 
Product Version2.7x.x 
Target VersionFixed in Version3.1.x 
Summary12815: Error after multiple question deleting
Description

If I try to delete one or more question the system execute the operation but give a error message "No vista" available.
The operation is execute but the refresh must be forced after the error

Steps To Reproduce

You can go in list questions, select more question (also 1) and the message error will be generate. The operation in execute but the refresh must be call in differente way

Additional Information

Message error

Notice: Undefined index: gid in C :\ Lime\application\helpers\expressions\em_manager_helper.php on line 3676
Notice: Undefined index: gid in C :\ Lime\application\helpers\expressions\em_manager_helper.php on line 3676
Notice: Undefined index: gid in C :\ Lime\application\helpers\expressions\em_manager_helper.php on line 3676

Warning: Cannot modify header information - headers already sent by (output started at C :\ Lime\application\helpers\expressions\em_manager_helper.php:3676) in C :\ Lime\application\core\Survey_Common_Action.php on line 478

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.72.3+171020
I will donate to the project if issue is resolvedNo
BrowserAll browser (Chrome, Firefox, maxton, scc.)
Database & DB-VersionMysql 5.6
Server OS (if known)Windows 12 Server R2
Webserver software & version (if known)IIS 8.5.9600.16384
PHP Version7.0.15

Activities

robertofranchi

robertofranchi

2017-10-23 01:45

reporter  

LS_Error.png (92,384 bytes)
LS_Error.png (92,384 bytes)
c_schmitz

c_schmitz

2018-01-25 15:41

administrator   ~46092

In 3.1.0 the mass-deletion of questions does not work at all.

robertofranchi

robertofranchi

2018-01-25 15:46

reporter   ~46093

OK, w are waiting for comfort update to try in developmente area the new version...
If the mass-deletion button in not more present in 3.1.0 the request may be closed.

Best regards

markusfluer

markusfluer

2018-01-25 16:19

administrator   ~46096

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26239

Related Changesets

LimeSurvey: master 3af3bd0b

2018-01-25 16:19:28

markusfluer

Details Diff
Fixed issue 12815: Error after multiple question deleting Affected Issues
12815
mod - application/core/LSYii_ClientScript.php Diff File
mod - application/views/admin/survey/Question/listquestions.php Diff File
mod - framework/web/js/packages.php Diff File
mod - framework/zii/widgets/grid/CGridView.php Diff File

Issue History

Date Modified Username Field Change
2017-10-23 01:45 robertofranchi New Issue
2017-10-23 01:45 robertofranchi File Added: LS_Error.png
2018-01-25 15:41 c_schmitz Assigned To => markusfluer
2018-01-25 15:41 c_schmitz Status new => assigned
2018-01-25 15:41 c_schmitz Note Added: 46092
2018-01-25 15:46 robertofranchi Note Added: 46093
2018-01-25 16:19 markusfluer Changeset attached => LimeSurvey master 3af3bd0b
2018-01-25 16:19 markusfluer Note Added: 46096
2018-01-25 16:19 markusfluer Resolution open => fixed
2018-01-25 16:21 markusfluer Status assigned => resolved
2018-01-25 16:21 markusfluer Fixed in Version => 3.1.x
2018-01-30 14:29 ollehar Status resolved => closed